Subject: Re: MA State & Federal Labor Law Posters Faxable Order Form
From: "LLPS Customer Service" <[email-masked]>
To: "Lauren Lombardo" <[email-masked]>
Date: Mon, 13 Feb 2012 12:56:58 -0500

Hello Lauren.
I will pass along your information to a sales rep and have them call you shortly.
Thank you,
Michael B
LLPS

From: Lauren Lombardo 
Sent: Monday, February 13, 2012 12:35 PM
To: Labor Law Poster Service 
Subject: RE: MA State & Federal Labor Law Posters Faxable Order Form

Hi,
I would like to re-order, should I just fax over the CC info w/renewal?  Thanks!

-----Original Message-----
From: Labor Law Poster Service [mailto:[email-masked]] 
Sent: Monday, February 13, 2012 11:45 AM
To: Lauren Lombardo
Subject: MA State & Federal Labor Law Posters Faxable Order Form

                
                -------------------------
                The requested file, "MA_A12670955898.pdf," is attached.
                         
                This is an automatically generated message from Labor Law Poster Service. 
                UID: 610